## org.plovr.i18n
Class PseudoTranslator

    java.lang.Object
      org.plovr.i18n.PseudoTranslator

    public final class PseudoTranslator

extends java.lang.Object

`PseudoTranslator` translates an English string into a "pseudo-English" string which contains characters that are slightly different than the original English characters. For example, a lowercase 'a' will be rewritten as a lowercase Greek alpha. By displaying pseudo-translated strings in the UI, it makes it easier to see which strings have not been marked for translation.

Author:
  bolinfest@gmail.com (Michael Bolin)

Method Summary
`static void` `main(java.lang.String[] args)`
`static java.lang.String` `translate(java.lang.String englishString)`
`static void` `translateXlf(java.io.File input, java.io.File output)`
`static void` `translateXlf(java.io.InputStream input, java.io.Writer output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### translate

    public static java.lang.String translate(java.lang.String englishString)

### translateXlf

    public static void translateXlf(java.io.File input,
                                    java.io.File output)
                             throws java.io.IOException,
                                    javax.xml.parsers.ParserConfigurationException,
                                    org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### translateXlf

    public static void translateXlf(java.io.InputStream input,
                                    java.io.Writer output)
                             throws java.io.IOException,
                                    javax.xml.parsers.ParserConfigurationException,
                                    org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### main

    public static void main(java.lang.String[] args)